“l can’t conceive of anything being more varied and
rich and handsome than the Planet Earth. And its
crowning beauty is the natural world. | want to soak it,
up, to understand it as well as | can, and to absorb it...
and then Id like to put it together and express it in my
paintings. This is the way | want to dedicate my life.”
Zen Master Wolfgang says:
“Better a willing suspension of
disbelief than an unwilling
disbelief in suspension.”
By Sandi Poystila
April is  here
and the buzz is
all around... my
backyard, that is...
either its the bees
searching for pollen or it
is the frenzy of hummers. I watched
one perch on my clothesline and
stare at me and my empty feeder.
So I climbed the crooked ladder,
retrieved the blackened feeder and
made it my ultimate task to provide
for the little buzzer. I cleaned it out,
and made a big batch of sugar water
and now there are about 4 of them
that frequent the food. Definitely
some buzzing going.

This issue is all about Earth
Day and I believe that Awareness
and education should be the main
priorities of any environmental
movement. Go ahead - plant trees
and gardens and do your regular
celebratory clean-up and poster
waving but take time to get educated
on what the heck is going on in the
world regarding our planet’s future.
Get googling to learn about the tar
sands, food production and water
preservation.

We have increased this issue to 20
pages in order to provide you with
lots of stories and info to motivate
your environmental curiosity.

With that in mind, get your ticket
to hear renowned author, Gwynne
Dyer speak on the geopolitics of
climate change on Apr. 25.

For more springtime buzz in
the air... there is LOTS going
on... I mean we’ve got Earth Day
Celebrations on Sunday, Slasher
races (no knives involved) next

~ What's all the Buzz About?

Gallery 8’s new exhibit begins
this weekend, and Country
Grocer’s new deli is opening soon.
The Saturday Market is alive with
happy locals and friendly faces.

Here’s a great opportunity to try
yoga for free - The New Ganges
Yoga Studio on Kings Lane is
offering your first class free for
April only...

The  Islands  Marketplace
team, is very happy to welcome
Samantha Parker to our sales
department. And we are working
on new features and ideas to
promote our island businesses,
free ads and events for 2010. Our
next issue will feature Health and
Wellness and Spring Car Care...
Check out the new Used Car Photo
Ad Feature on the next page. Only
$20, to show your vehicle in print
and online... for two weeks... good
deal, eh?

Yes, Spring is a great time to sell
our SUV, mow our lawns, have
garage sales, play with our kids,
trade our sailboats for kayaks, till
our gardens, train our dogs, air
out our campers and embrace the
sunshine. It is the sense of renewal,
acleansing and uplifting feeling in
the air that gives us hope for a new
day and a warm summer.

Happy 10th Anniversary to
Andrew... Maybe next year we can
travel to a hot sultry destination to
proclaim our love in the sun with
drinks in our hands and toes in
the sand, but today it’s all about
watching the kids, and working
on this issue... go figure. Thanks
Andy, I love you, and I couldn’t
do it without you..

ANIMALS & ACCESS

Cockatiels.. $20 each. Budgies.....$10
gach. Finches.....$10 each. Some cag-
es available. 250-537-4172. 04-30

Free lease or sale (to approved home)
16 h.h. bold, beautiful buckskin/grey
Irish draft x warmblood mare. “Tashi”
is 6 years old and has been started and
backed by pro. training for 6 months
last year. Sweet temperament, but still
green. Ready for a quiet, firm leader.
Call Caroline at 250-537-5761. 04-30

2 carpeted cat trees. $25 for the pair.
Phone: 250-537-2335. 04-16

Free female grey and white cat. About
2 years old, spade. Friendly but not
really a lap cat. The cat has decided
to move out on account of our dog.
Comes with a carry case. Phone: 250-
931-7679. 04-16

17 1/2” Barnsby all purpose saddle.
all leather c/w leathers and stirrups.
Bridle, girths, brushes, saddle pads,
etc. $1200 obo. 537-5482. 04-02

ANTIQUES

Vintage and antique items: unusual
oval nesting tables, 4 legged brass
footed base (24”H x19”x24”); ornate
(5pc) swivelling globe silver butter
server; cranberry cruet; Cornflower
Pitcher and (4 tumbler) glass set;
crystal/ silver swan design salt cellar
with spoon; depression glass platters.
Pictures avail. Phone: 250-537-8394.
04-16

1880s  victorian  buffet,  solid
oak,beveled mirrors,excellent craft-
manship $1500. wood cookstove
with warming oven, early 1900s,in
working cond $950. Phone: 250-538-
7048. 04-16

APPLIANCES

Beaumark electric range with self
APPLIANCES

AUTOS FOR SALE

AUTOS FOR SALE

New dirt devil featherlite vacuum, 12
amps, used 6 times. $45. 537-9694.
05-14

‘94 Jeep Grand Cherokee Laredo, 5.2L
V8, 4x4, auto, 260K, Runs great!.
Phone: 250-537-5909. 04-16

2008 white microwave-hood fan 1.8
cuft, 1050 watts - $350 call 538-8656.
05-14

Honda CRV 1999, green, automatic,
183K; 4 new tires; fine condition; ask-
ing $9,000. call 250-537-9820..05-14

Top load washing machine (Kenmore)
and front load tumble dryer for sale.
Excellent condition. $20 each. Phone:
250-538-0912. 05-14

2008 Kenmore 18.2 cuft self defrost
fridge, white - $450. Norge 30" self
clean stove and Nutone over range
fan/hood- $150. Call Richard 538-
8656. 04-30

Dyson DC-14 vacuum. Works great
but needs the attachment hose $150.
Phone: 250-537-2335. 04-16

AUTOS FOR SALE

1988 Ford F150 4x4 extended cab,
long box with canopy. Great island
or work truck, $2000. Call 537-1533.
05-14

2005 BMW 330i. metallic silver and
black leather. heated memory seats
harmon kardon sound Sunroof Top
condition and only 71,500km. Need
quick sale so only $22,500 Phone:
250-931-7211. 05-14

Well loved 1989 Volvo 740 series se-
dan. New cd player, great tires, bonus:
full tank of gas, island car only. $650.
Call Sam at 537-7302. 05-14

2008 Blue Honda Fit under 26,000
km clean nonsmoking vehicle 1
owner no damage. Great gas mileage.
Automatic,cd,power windows. Asking
14,000 Phone: 250-931-1261

1992 Acura Integra, 5 speed, 4 cyl-
inders, power windows, sunroof and
mirrors, air conditioning. no acci-
dents, never smoked in. dark green
with black leather interior. $4900 obo.
Phone 537-6492. 05-14

Great van, Mazda MPV 4X4 1991, 218
km. In exelent working order, very
reliable. Lots of room, good on gas.
Great for family or as your work (tools)
van.2700 $if you need car you will not
regret, phone and we will get a deal.
Andrey. 250 537- 4143. 05-14

Ford F 150 runs needs to warm up for
about a 30 sec 1st needs new brake
pads and lines need to be looked at
start every time just got a new battery
and new terminals $400 obo. Haydn
(250)-537-4512. 04-30

1992 Chrysler Acclaim 4 dr. sedan 4
cyl. low km.175000 car has been in
garage for 6 years runs well, good on
gas. clean, only $950. 250 538-1789
matthew.. 04-30

1985 Toyota Corolla Island Car. Runs
well, good rubber, 157K, needs muffler
re-attached. First $400 takes it. Phone:
(250) 537 9020. 04-30

1991 Subaru Loyale, runs well in rea-
sonable shape,some rust. Needs minor
brake work. $500 as is or will trade
for garden or kayak equipment. Gary or
Anna. Phone: 537-5793. 04-16

Estate Sale - 1995 Mercury Mystique,
130,000k, no accidents, no rust, air
bags, air conditioning, cruise control,
great overall condition. Pre-purchase
inspection done for you by Ganges
Auto Marine. $3000. Call 250-537-
4012. 04-16

1986 Gold Ford T-Bird. In good condi-
tion, less than 200k, automatic, sun-
roof, stereo, great tires. First $500.00
takes it. Easy to view! Phone: 250-931-
1008. 04-30

1991 Jeep Cherokee 4x4, 4 door,
white, auto, Trailer package, great
tires, alloy rims. Runs good, could use
some work, great island vehicle. $800
obo. 537-2950. 04-02

PRETZEL MOTORS

Call us for Complete
Automotive Servicing
by our Licenced
Technicians

We are a Government
Designated Test Facility

Armstrong Firestone Hankook Good Year Lee Farm General

AUTOS FOR SALE

« Brakes - Exhaust - Steering » Tires (New & Used)
e Lube, Oil & Filter - Computer Diagnostics

537-2876

#2 - 319 Upper Ganges Road (across from Home Design Centre)
Open 8am to 5pm Monday to Friday

Riken Pirelli Michelin BF Goodrich Uniroyal Dunlop

2002 Black Honda Civic for sale. $8000.
Phone: 250-537-1815. 04-16

1996 Chevy Blazer LS 4x4, 4 door, 6
cylinder, automatic, good condition,
clean. $3500. 537-2950. 04-16

&

319 Rainbow Road
Saltspring Isl. B.C.
V8K 2M4

Tel: 250.537.4331
4X4. Automatic, 4 door, white,
hatchback. $1200. 537-2950

1996 CHEVY BLAZER 4X4,

NG’S PRE-OWNED AUTO MARKETPLACE

6 cylinder, 4 door, clean in-
terior, cruise control, auto,
166,000kms. $3500. 537-2950

7 SELL YO
Email your photo & text to:
info@islandsmarketplace.com
The Islands Marketplace CALENDAR OF EVENTS

FRIDAY, APRIL 16

SUNDAY, APRIL 18

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca.

StageCoach Theatre School - FAMILY
ENTERTAINMENT - OLIVER. Directed
by Maggie 0’Scalleigh and Adina
Hildebrandt at 7 p.m. at ArtSpring.
Tickets on sale now - $12 for adults, $8
for kids under 12. GROUP RATES. Dont
miss it. Get your tickets today!

Live Music To Be Announced at Moby’s
QOyster Bar & Grill. 8pm.

At the Fritz Cinema this week - Alice
in Wonderland. Call 537-4656 for
showtimes.

S S Painters Guild artists original work
titled “Patch Work of colour”. from April
16 - 29. There will be a Silent auction of
selected art on April 16 and april 17 at
ArtSpring Theatre.

Library StoryTime: Under the Umbrella
Stories for April showers. For children in
early grades and pre-schoolers. 1 p.m.
at the library.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

A concert of “Music Without Borders”
on April 16. Prevedoros, Golden and Joy
perform “brand new music grounded
In many traditions” at Mahon Hall 114
Rainbow Road on April 16 at 8:00 P.M.

SATURDAY, APRIL 17

Dad ‘n’” Me - Meet and eat pancakes with
dads and kids at Family Place at 120
Park Drive, 8:30-10:30 a.m. 537-9176.

Milonga [special, dress-up dance party;
usually with a guest DJ and significant
numbers of off-island dancers.]

Saturday Market in the Park is back!

Live Music with Tal Bachman and the
Imposters at Moby’s 8pm.

‘Nota Café’ Rawsome Kitchen. Rawsome
‘Mediterranean’ Night Out - starting at
7PM. $35 per person. Reservations 250-
537-2048 or rawsome@shaw.ca.

StageCoach Theatre School - OLIVER at
2 p.m. at ArtSpring Theatre. Tickets on
sale now - $12 for adults, $8 for kids
under 12. GROUP RATES.

Argentine Practica at the Core Inn, 4:30
- 6:30pm $5 Beginners Welcome! Info:
Karen Pedersen 250.653.4589.

Earth Day Festival —10-3pm in Centennial
Park. Family event, music and more.

Cuban Salsa Classes at the Mahon Hall on
Sundays from 6-8 pm. Ph: 250 653 4239.

Rainbow Road Pool - Twoonie Swim from
1:30 - 5:30. 537-1402 for info.

Jazz Night at Moby’s Oyster Bar & Grill.
7pm to 10pm.

FRIDAY, APRIL 23

SUNDAY, APRIL 25

Live Music To Be Announced at Moby’s
QOyster Bar & Grill. 8pm.

Roller Blading at the Fulford Hall on
Saltspring from 7:30 to 9pm.

SATURDAY, APRIL 24

Dad ‘n’ Me - Meet and eat pancakes with
dads and kids at Family Place at 120 Park
Drive, 8:30-10:30 a.m. 537-9176.

Saturday Market in the Park at Centennial
Park in the Heart of Ganges, Fresh organic
produce and creative local arts & crafts.

MONDAY, APRIL 19

Toastmasters Speaking at 7pm in the
Crofton Room, Harbour House Hotel.537-
2581. Guests Welcome.

Parent - Child Drop-in, 9:00 - 12:30, at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca

TUESDAY, APRIL 20

Osho Kundalini Moving Meditation from
5:30 tp 6:30pm. Call Amarita at 537-2799

Eckhart Tolle Practicing Presence Group
from 7:30 - 9pm. Call 537-2799 for info.

WEDNESDAY, APRIL 21

Alan Moberg! a new radio show hosted
by our one and only Alan Moberg, at noon.
Listen in on cfsi-fm 107.9, or on internet at
www.cfsi-fm.com.

Contemporary Dance class with Robbyn
Scott and Anna Haltrecht from 5 to
6:30pm. Call for location & information:
250-537-5681. $10 drop-in.

THURSDAY, APRIL 22

Earth Day! Plant a tree or flower or
anything! Go for a hike and breathe in the
fresh air (while we still have it), clean up
the beach, clean up your yard, recycle.

Blues Night with Soul Shakedown at
Moby’s Qyster Bar & Grill. 8pm.

FRIDAY, APRIL 23

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. 250-537-9176.
familyplace@ssics.ca.

Library StoryTime: V is for verse. Join
in the fun of rhyming stories, songs and
poems . For children in early grades and
pre-schoolers. 1 p.m. at the library.

SUNDAY, APRIL 18

SSI Poultry Club  Swap Meet 10:00
am till noon at the Farmers’ Institute
Buy, sell or trade poultry related stuff.
CHICKS, chicken tractor, poultry mesh,
etc. Everyone Welcome, No Dogs.

Conservancy’s public education
presentation by invasive weed expert
Glenn Miller, at the Gospel Church on Salt
Spring Island at 7:PM. Miller will speak on
Reclaiming Your Back Yard and Acreage
from invasive weeds.. 537-0880 for info.

SIMS has Talent! Qur middle school kids
have tons of talent and we want to show
it off. Come and help us raise money to
pay for a sound system in the gym and
show community support, on April 24th,
doors open at 6:30 pm, show at 7 pm. Tix
$5, includes dessert + refreshment. Also
silent auction items + raffle tix for themed
baskets.Info: 250-537-0614.

Salt Spring Concert Band: Classic Winds
8 p.m. at ArtSpring. See story on page 5
of this issue.

2nd Annual Slasher Longboard Race - The
race is taking place on Juniper Rd. off
Rainbow Rd. Practice + qualifying 9am-
noon. Racing 12:30 - 5pm. More info at
www.saltspringdh.ca

Live Music with The Busted Tune-ups at
Moby’s Oyster Bar & Grill. 7pm to 10pm.

Neighbourhood Night from 8 to 11 p.m. at
the Raven Street Cafe.

Paul Black Trio - at the Dancing Bean
Cafe in Chemainus. Bluesman Paul
Black, a native of Terrace B.C was a late
starter on guitar (at age 16), but he has
made up, many times over for lost time.
www.paulblack.ca  www.sonicbids.com/
paulblack, 8pm

SUNDAY, APRIL 25

Cuban Salsa Classes at the Mahon Hall on
Sundays from 6-8 pm. Ph: 250 653 4239.

Rainbow Road Pool - Twoonie Swim from
1:30 - 5:30. 537-1402 for info.

Author Gwynne Dyer lecture at 7:30 p.m. at
ArtSpring. Journalist, author, broadcaster
and lecturer, Gwynne Dyer has explored
sensitive topics ranging from the Arab-
Israeli conflict and Russian politics to the
parameters of an emerging global culture.
In this fundraiser for the Salt Spring
Island Conservancy, he addresses the
geopolitics of climate change. Academy
Award nominated for “The Profession of
Arms” released in 1983... his latest book
is called Climate Wars.

Jazz Night at Moby’s Oyster Bar & Grill.
7pm to 10pm.

MONDAY, APRIL 26

Toastmasters Speaking at 7pm in the
Crofton Room, Harbour House Hotel.537-
2581. Guests Welcome.

Parent - Child Drop-in, 9:00 - 12:30, at
Family Place, 120 Park Dr. (Behind All
Saints Anglican Church). 250-537-9176.
familyplace@ssics.ca

BC Ferries Master Plan - public open
houses at Harbour House Hotel - Fulford
Harbour Terminal focus: Monday, April
26, 7-9 pm

TUESDAY, APRIL 27

Osho Kundalini Moving Meditation from
5:30 tp 6:30pm. Call Amarita at 537-
2799

Dance Films Featuring the Work of Wen
Wei Dance at 7:30 p.m. In celebration of
International Dance Day, Dance Qutreach
Coordinator Anna Haltrecht, will show the
recent work of Chinese-Canadian dancer-
choreographer Wen Wei on ArtSpring’s
big screen.

Eckhart Tolle Practicing Presence Group
from 7:30 - 9pm. Gall 537-2799 for info.

WEDNESDAY, APRIL 28

Alan Moberg! a new radio show hosted
by our one and only Alan Moberg, at
noon. Listen in on cfsi-fm 107.9, or on
internet at www.cfsi-fm.com.

Contemporary Dance class with Robbyn
Scott and Anna Haltrecht from 5 to
6:30pm. Call for location & information:
250-537-5681. $10 drop-in.

THURSDAY, APRIL 29

Blues Night with Soul Shakedown at
Moby’s Oyster Bar & Grill. 8pm.

Floating Boat Show at Victoria Harbour all

weekend long. www.floatingboatshows.
com

FRIDAY, APRIL 30

Rugg Huggers Baby & Parent Drop-
In, 10:00-1:00 (includes light lunch) at
Family Place, 120 Park Dr. 250-537-
9176. familyplace@ssics.ca.

Library StoryTime: Wild and Wonderful.
Who knows where we will go today.

UPCOMING EVENTS

Send your free community event info
to info@islandsmarketplace.com or
call 537-2905 to get included in the
next calendar.

** ALL EVENTS LISTED ABOVE ARE LOCATED ON SALTSPRING ISLAND, UNLESS OTHERWISE NOTED.
Advertise your event here! Email : info@islandsmarketplace.com for the next edition - April 30
Pipers & Drummers join Clagsic Winds

The Salt Spring Concert Band is proud to present an exciting evening of
classic and timeless masterworks for winds.

Music Director Dawn Hage has hand picked a program from the concert
band repertoire best loved by audiences and musicians alike. A whirlwind
around-the world- tour awaits listeners as the SSCB performs music from
Canada, U.S., Britain, Ireland, Australia and Germany. Enjoy the Second
Suite in F for Military Band by Gustav Holst, A Folk Song Suite by Vaughn-
Williams, and the haunting Ye Banks and Braes by Percy Grainger. The Shores
of Newfoundland is a delightful medley of folk tunes by Canada’s Howard
Cable and listeners can also enjoy a masterful arrangement of Beethoven’s
Egmont Overture. American wind classics abound with American Overture
for Band, the Stars and Stripes and The Witch and the Saint.

The Salt Spring Pipers and Drummers as our special guests on this exciting
program. The two ensembles will combine with a tour-de force performance
of The Gael from the movie score The Last of the Mohicans.

This concert is a one-night only, not to be missed musical treat. Saturday,
April 24, 8 pm at ArtSpring. Call 537-2102 for tickets.

DO WE TAKE VISA OR MASTERCARD?

Wou beteha! e

ADVERTISING WITH US JUST GOT EASIER - CALL 537-2905

Dave
Phillips

“When in
Doubt...

/ BLAST
i H )
Bus: 537.2618 Cel: 537_7481 it out”!

PAUL B. JOYCE

Barrister & Solicitor
OVER 25 YEARS EXPERIENCE WITH

PERSONAL INJURY &
ICBC CLAIMS

ALL INJURIES HANDLED

* AUTOMOBILE ¢
FREE * PEDESTRIAN * NO FEE

Initial * MOTORCYCLE ° Until
Consultation e BICYCLE You Collect

* WRONGFUL DEATH -
* INJURY ON PROPERTY

IF YOU ARE INVOLVED IN AN ACCIDENT
AND HAVE A CLAIM YOU SHOULD
CONSULT A LAWYER BEFORE SETTLING

265 DON ORE ROAD Tel: (250) 537-4413

SALT SPRING ISLAND, BC
V8K 2H5 (24 hours)

S.S.1. Division wel-
comes all old and

to call him at
537-4978 for
all your building

L < ]
new customers of SI E l u m h E r T
SLEGG LUMBER

Competitive Prices, Friendly Staff and
ALL your Building Needs Under One Roof!!

Mr. Mark Rithaler, E
General Manager

il i

Business Hours:
Mon - Friday:
7:00am - 5:00pm

fange or small “Why Pay More?” 308 5:00pm

Fax:

937-4945

Mark Rithaler
537-4978
AUTOS FOR SALE

Hard to Find a 2nd Owner selling her
loved Westy. 142,002 miles on body,
rebuilt 4 cyl and 5 sp standard in
2004 for $4900. All receipts and reg-
ular servicing since 1988. Very Fun to
own and drive! Runs & Drives Great!
$6995 obo Victoria. Phone: 250-595-
0401. 04-16

1994 Toyota Rav4, right hand drive,
2 door, auto, air, pw, pl, 74000 kim,
$7,000. Phone:  250-923-2485.
Campbell River. 04-30

PRICE REDUCED Quick Sale: 1989
Trooper 4x4, 4 cyl. good tires with re-
cent new head on motor. Exc. island
vehicle. $1200. 537-8969. 04-30

Black 2002 Honda Civic 8000.00
0.B.0. Phone: 250-537-1815. 04-30

1992 Subaru Legacy Wagon. EXCEL-
LENT condition, no rust, she runs ex-
tremely well. Roof racks, trailer hitch,
cargo cover. Well maintained by
present and previous owners. FWD,
4 new winter tires, 2 new all-seasons,
manual. “Lucia” seeks a loving home!
$4900. 250-526-00046. 04-16

2005 Honda Civic Hybrid for sale
(low mileage) - $14000; 44,000 miles
(71,000 kms) Sedan, Automatic, blue.
Front-wheel drive, Fuel Type Hybrid-
Electric. Vehicle imported 3 years ago
from US by Bombardier Executive.
Has been giving me almost 100 kms
with each 6 liters of gas. Mechanical
inspection done on Feb 6, 2010. All
documents available. Very clean inte-
rior. Phone: 250-537-0629. 04-16

AUTO PARTS & ACCESS

Alpine car stereo, still in the box,
never used. Has MP3 hookup, Ipod
hookup, blue, illumination, detatch-
able with carrying case. $200 OBO.
Phone: 250-537-1047. 04-16

AUTO PARTS & ACCESS

Brand new set of diamond back Euro-
pean hoop style car chains, easy to use.
Cost $126 (hill provided), asking $35.
Fit car tire sizes: 215-60 R16; 205-70
R15; 215-55 R16; 265-50 R14; 235-55
R15. Call 250-537-2052. 05-14

Stealth 3 bike rack for van or hatch-
back. Holds 3 bikes. $30. Call 537-
2967. 04-16

Wanted: Bush box, Mac & Blo style,
for Toyota pickup. Call Dave Phillips at
537-7481. 03-05

BIKES

18 speed touring bike, suitable for trav-
eling, groceries and commuting. $100.
Call 537-4514. 05-14

Norco Bushpilot 15” 21 speed with
kickstand added. $600 new, now $300.
Monica days and eves. 537-2967. 04-
16.

BMX Skatepark trick bike for sale,
Swivel front wheel, stand bars on back,
near new condition. Bought for $392.
Asking $300. Rythm (250) 931-7193.
04-02

BOATS AND MARINE

kayak, current designs storm. comes
with skirt, paddle, cockpit cover, and
paddle. stored under cover. $900.
Phone: 250 537-5793. 05-14

12" Alum. Lund. Excellent condi-
tion.$1,150.00. Phone: 250-537-9506.
04-16

Canoe for sale, 14 ft. red fiberglass,
cadorette. positive floatation, bow and
stern, wood seat, complete with two
paddles and new paint. $450. Great
lake canoe. Call 250-538-5577. 05-14

AUTO SUPPLIES

Saltspring Auto Supply

Visit us for all of your Auto Parts & Supply needs
Open 7 Days A Week:

Mon. to Fri. 7:30am to 6pm
P Sat. 8am to 5pm / Sun. 10am to 4pm

® Ladysmith
* BB Auto Supply ~~===—=""e JB Downtfown

© (olwood Langford Auto Supply  ® JB Precision

106 Jackson Avenue, Saltspring Island,
Fax: 250-537-2810 Email: ssap@jbgroup.ca

y

Ph: 250-537-5507

BOATS & MARINE

BOATS & MARINE

17 ft. Wooden red canvas canoe.
Needs new gunnels. Comes with 3
paddles. $250. Call 653-2067. 05-14

26’ San Juan Sailboat 1976, well kept
with a Yanmar 12 hp diesel recently
overhauled. Folding prop. and a spare
3 blade prop. Mainsail and several
foresails, Dodger, VHF, Knotmeter, Al-
cohol stove, Porta potty, Anchor and
a spare one. $ 7800.00 OBO Tel: 250
537 9569.

1974 Catalina 27 american made di-
nette model in excellent shape. per-
fect hull, new standing rigging, 9.9
johnson outboard, one of the best and
heaviest layed fibreglass catalina 27
models ever. dry boat, dust bunnies
in bilge. autohelm, furling. saltspring,
$11,900. 250 653 0017. 05-14

Boating gear & sails for sale: Mustang
Survival Coat, new ($285); Wetskins
foul weather suit, new ($285); Lowe
Alpine foul weather jacket ($100); Ge-
noa, tanbark red, w/leech line, 8 yrs.
old, luff 26’, foot 14’($225); Genoa
sheets, 5/8 Samson, 30° pt & stbd
($65 the pair); Headsail bag, v.gd
condition ($65); Mainsail cover,10°5”,
needs patch at clew ($25); Danforth-
type anchor, 18#, 3/8” swivel, 20’
5/6” chain, 240’ 1/2” Samson nylon
line ($289); Radar reflector, cylindri-
cal, new ($39); Sweeping oar, 8, new
($25); Youth PFD’s, 2, new ($32 ea.);
Sears Craftsman 52 pc. socket & driv-
er set, new ($44); Below w.l. brush
w/bowed ss shaft ($35); other misc.
gear. Phone: (250) 537-2741. 05-14

“Standard Horizon Hand-held Marine
VHF Transceiver. Little used. Works
fine. Incl charger , Instructions. $30.
John, 250 537 9215”. 05-14

4 hp outboard, Seagull Century
100, $179. this thing will never
die, tested, English made. Email:
saltspringisland@hotmail.com. 04-30

16’ Double Eagle runabout. Good
condition, professionally rebuilt, full
canvas, older trailer. 115 hp Johnson
is running but needs work. in Fulford.
$1800. 250-538-8609.. 04-16

Pontoon Boat (River Tamer) 1200
Denier PVC construction Aluminium
frame, seat, oars, leg rest, sidebags,
pump. Weights 77 Ibs. 400Ibs capac-
ity never been used $900. firm Shawn
250-710-6871. 04-16

391t. liveaboard, fiberglass, diesel mo-
tor, has everything.$25,000. call David
Phone: 250-537-6478. 04-30

Wanted to buy: 3 axle boat trailer for
6 ton, 26 ft. boat with 8ft. beam. 250-
751-6141. 02-19

BUILDING ITEMS

Two brand new never used water pipe
heating cables. One 13 ft. for $30 (over
$50 new); one 6 ft. for $20 (nearly $40)
new. Phone: 250-653-4443. 05-14

Vintage window frames, 2, 23 1/2 “ x
74” funky green, fitted with 12 panels
of new mirrored glass, $150. Also
other sizes and shapes available. Call
537-5482. 05-14

Vinyl window, new never installed, 68
in high,94 in wide, cost $2000 new
$900 obo, will deliver. Phone: 250 923
2485. 04-30

Vintage doors, one with crystal knobs.
250-537-5482. 04-30

> please recycle £

Looking for a small 5hp motor for
around $100. 250-930-0377. 04-30

BOATS & MARINE

Honda ¢ Mercruiser * Volvo * Yanmar
Marine Parts & Service, Gas & Diesel

Power Boat Haulouts ¢ Hull Repairs
Shipwright Services * Towing * Chase Boat

o
. -4 - ' Mobnlerl Tamc -Ch‘a_nlely
OURS i

Factory Certified Mechanics

--MARINE &' EQUIPMENT

222 Upper Ganges Road

at the head of Ganges Harbour
Phone (250) 537-4202
Fax (250) 537-4029

“The Gulf Islands’ only complete Marine Service Center”

VHF 16 “Enterprize”

VHF 66A/68 “Harbours End Marine”

www.harboursendmarine.com
harboursend@shaw.ca
Razali Wahab of Gallery 8

“Symbolically 8”

Since time immemorial, the
number § has been considered in-
trinsically special. Perfect in its
symmetrical shape, the number
8 can be cut in half vertically or
horizontally, with both halves
mirroring themselves perfectly.
Perfect symmetry lends itself to
perfect balance. Perfect balance
begets perfect harmony with na-
ture and the world around us.
To express this special tuning
through the visual arts, we present
you with our inaugural exhibition:
Symbolically 8 - Grand Opening
Exhibition April 2010.

This inaugural catalogue of fine
artworks marks the occasion of the
first anniversary of Gallery 8 on
Salt Spring Island. We would like
to take this opportunity to thank all
our clients for their continued sup-
port as we shape our vision for this
beautiful space.

We represent a broad range of ex-
cellent contemporary artists, both
accomplished and emerging, who
reside within the Gulf Islands. The
April 2010 Exhibition celebrates
the opening of our newly expanded
and renovated space and the offi-
cial name change to Gallery 8.

In honour of this momentous oc-
casion our talented artists accepted
the challenge to creatively inter-

GRACE POINT SQUARE

Lenice at Skin Sensations

pret or reference the richly symbolic
number 8 into the new works show-
cased within. We hope you enjoy
these flights of the imagination..

Our mandate is to bring you an
exciting variety of exhibitions to fur-
ther enrich and inform your Gallery
8 experience. Our artists are dedi-
cated and disciplined in their efforts
to create meaningful and masterful
works and thank you most profound-
ly for your patronage of the arts.

A Spa by the Sea, Skin Sensations
Day Spa, has created a new experi-
ence in their oceanside healing arts
and esthetics studio.

With a complete range of spa
services available you can have the
ultimate spa experience. Judith’s tal-
ented team of estheticians will help
ease your tension and allow you
to find peace and harmony while
cleansing, detoxifying and rejuve-
nating your self.

Stop by the spa to see the new
look and check out the weekly spa
specials. Online at: www.skinsensa-
tions.com

250-538-0964

Saltspring Island

- .w' éf }ﬁrrﬂhj
(Becers

L » 7200 @, (gjgmoe.@m‘/wm -«

Rona Robbins

Purveyor of
Fine Teddy Bears

Boutique Hours:
Wed. - Sat. 11-4:00pm
or by appointment

Grand Opening
Exhibition

“ngbolicollg

April 17th to May 16th, 2010
Opening Reception
April 17th, 2010
S5pm to 8pm

In honour of this momentous

occasion our tfalented artists
accepted the challenge to
creatively interpret or reference
the richly symbolic number 8
into the new works showcased
within. We hope you enjoy
these flights of the imagination.

Bocado’s Bistro is nestled into

a sunny corner of Grace Point
Square, offering a seaside patio
with breathtaking marina views.
They serve fresh locally caught
seafood, European, West Coast
and Mediteranean meals, artfully-
prepared with a selection of qual-
ity wines.

Open for lunch and dinner, it
is casual fine dining without the
“fine” price. View their menu on-
line at: bocadosbistro.com

Grace Point Square
Tel/Fax: 250-537-8822
Email: art@gallery8saltspring.com
www.gallery8saltspring.com

Now Open for
Lunch & Dinner
= 250-5386-1622

Open:
Mon. - Sat.

: Ca¢
F .-hlﬁtrﬂ' Closed Sunday

e CASUAL FINE DINING IN THE HEART OF GANGES e

Grace Point Square * 3106 - 115 Fulford Ganges Rd.
Salt Spring Island,BC - E: info@bocadosbistro.com

el 1250753758807
== :

ﬁmu = W St

":m:;f de; m@gﬂjﬂ..
.-Eﬂdmﬁ@wmmen

* Hand & Foot Care ¢ Hydrotherapy Treatments e Body Therapies ® Body Wraps
¢ Waxing ® Facials ® Make-Up ¢ Infrared Sauna ® Eminence Organic Products
Idle Free Earth Day!

By Valerie Williams

Sixty seconds. A mere sixty seconds is the amount of time Natural Resources
Canada recommends you leave your engine idling while running errands,
chatting with a friend, waiting at the ferry or picking your children up from
school.

Avoiding unnecessary engine idling is something we can all immediately
do to minimize our contribution to global climate change. Vehicle emissions
greatly contribute to atmospheric pollutants, including greenhouse gases — the

Finally! High Speed
Satellite Internet
starting at $49.99/mo.

systems starting at $199.00
APLORH

I T ENIT BRI BV

www.xplornet.com

2540 Bowen Road,
Nanaimo, BC V9T 3L3

Ph: 250-758-7301

Fx: 250-758-0294

Email: cercomm@island.net
www.island-communications.com

3

LI = I ]

ISUAND
COMMUNICATIONS LTD.

Your communications speciaJist

Serving Vancouver Island and the Gulf Islands for over 25 years

gases responsible for the climatic warming we are experiencing on Earth. In fact,
every liter of gasoline consumed emits around 2.4kgs of carbon dioxide (CO2).

Natural Resources Canada advises “If every driver of a light-duty vehicle in
Canada avoided idling for just five minutes a day, we would prevent more than
1.4 million tonnes of CO2 from entering the atmosphere each year.” This is the
equivalent of taking an estimated 490,000 cars off the road each year.

A recent study suggests that in the peak of winter, Canadians voluntarily
idle their vehicles for a combined total of more than 75 million minutes a day
— equivalent to one vehicle idling for 143 years.

Salt Spring Island has a serious engine idling problem. On any given day you
can find drivers engine idling their vehicles at the ferry terminal, outside cafes,
banks, the library, at communal mailboxes, at the side of the road chatting on
their cellphones, or having a ‘Salt Spring” moment and chatting to a neighbor.

Vehicle emissions, aside from being a significant source of greenhouse gases,
are also a major contributor to worsening air quality in the Capital Regional
District (CRD). This is of particular concern for children and individuals with
breathing challenges. Interestingly enough, Natural Resources Canada found that
drivers with children are more likely to idle than individuals without children.

Although not widely known, an engine idling bylaw came into effect in the
CRD in 2009. The Bylaw to Promote Clean Air by Regulating Motor Vehicle
Idling (Bylaw No. #3533) was created in recognition that “Motor vehicles are
sources of particulate matter, nitrogen oxide, carbon monoxide, sulphur oxide,
and volatile organic compounds which are a health hazard to the inhabitants of
the Capital Regional District” and for the “...purposes of maintaining, promoting
and preserving the public health of the inhabitants of the Capital Regional
District...”

The bylaw enforces unnecessary engine idling and asks that CRD residents
refrain from engine idling for more than three consecutive minutes.

In celebration of Earth Day 2010, let’s make a commitment to give up engine
idling our vehicles, and if we see someone participating in unnecessary idling
on Salt Spring Island, we can politely remind them that greenhouse gases are a
major source of global climate change.

Happy Earth Day!

Valerie Williams is the editor of www.GreenMuze.com and will be helping
construct a Climate Change Solutions Art Canvas during the Salt Spring Earth
Day Festival on April 18th. For more information on the CRD Engine Idling
bylaw visit: http://www.crd.bc.calrte/idling.htm

Answers are on pg19.

Across
1- Lafterman rival; 5- Compass dir.; 8- Cracked; 12- Camang
medal; 13- Butler's lowva; 15- Bang-up; 18- Hindu |awgivar; 17-
Hue; 18- Em, 8.9, 18- Collapsa of the lungs, 22- Actress Charotie;
Z3- Black bind; 24- Indication; 26- Bandad, 29- Breakfast food; 31-
ingok; 32- Because of, 34- Drawing room; 36- Budgel rival; 38-
Yellowish brown color, 40- Baptism, @.9.; 41- Serf, 43- Wise ones,
45- Concorde, &.g., 46- One who enjoys infliciing pain, 48- Nissan
madal; 50- Diplamasy: 51- Albanian exin; 52- Hail, to Cassar; 54-
Squira of Don Quixole; §1- Chipper; 63- Beneath; 64- Back; 65
Marinars can sail on savan of thass: BB- Closas: 67- Able was

— ... 68- Dalla"s creator; 63- Big bang causa; T0- Pound sounds;

Provided by BestCrosswords.com Used with permission.

Diovam
1- Bean town?; 2- Pan of Q.E.D.; 3- Mada; 4- Paraining to tha
&; 5= Ammo; B- Room in a casa; 7= Archar of myth; 8- Batlery

siza; O- The prass; 10- Editor Wintour, 11- Nabwork of nanies; 13-
Back part of the skull; 14- Goma up; 20- Children's author B

21- Letier openar, 25- Equipmant; 26- Rescues, 27- Having
sides; 28- Bréewer's need; 20- Cuban ballram danca; 30-

luekt: 31- Exclamation of contempt; 33- Defuncd aidine; 35- Aftar
taxes; J7= Fizzy drink; 38- Light iones; 42- Parsonal quirks; 44-
Paca; 47- Anempts; 48- Greak igland in tha Aagean 5aa; 52-
Church recess; 53- I:h;arl-gt @ direction; 55- Depilatory brand; 56-
Exténded family unit; 57- Romance novelist Victoria; 58- Not e'en
anca; 59- Middia Eastern coffee halder, 60- Ancient Athens's
TBITIFI|E af ; B2- Half a fly;
Income Tax

CANADIAN & AMERICAN
PERSONAL & CORPORATE TAX PREPARATION

Eclectic Fulford Village is a tight-knit neighbouhood of fabulous ]ames T. Fogal'ty

shopsj friendly vendors and beautiful bea?hes, parks and hiking. . TAX ACCOUNTANT
It is easy to spend an afternoon shopping for uknown treasures in .
the seaside area, and it’s 60s era feel invites you to explore the fun and Fulford Village Office

Ph: 250-653-4692 Fx: 250-653-9221

funky flavours of the quaint village. \ By appointment. Fogarty Accounting & Tax Services Ltd. y

Take a stroll up morningside lane to enjoy the beautiful scenery
and maybe even spot the local swans or find the elusive trail that leads
to the white shell beach.

Around the corner left on Beaver Point Road you can find Stowell \ S T U F F &
Lake, a favourite place for summer swimmers. Further along the drive —
is historic Ruckle Provincial Park, which hosts their annual Ruckle Qp=
Farm Day in May. This event is a must for islanders and visitors alike. 4 ‘d N O N S E N S E

Watch the Marketplace’s Calendar of Events for dates for this years
festivities.
The Fulford Inn, which is the areas established “watering hole”

* in the heart of fulford village %
A shop so delightful you’ll wish for a sailing wait.

Unique home accents :zfy[():h do’i‘/twﬁ,

has recently changed hands and the new owners are fre.shening up ccarves & handbags,

the pub and restaurant for a busy summer ahead. Historic churches quality table linens & kitchenware,

and the Fulford Hall all provide community meeting places for great silver jewelry, fine Erench soap,

events and gatherings. classic to )
Burgoyne Bay is a beautiful place for serene oceanside walks. Life is full of stuff and nonsense. Look for the meaning inside.
You can drive around the harbour to take a break at oceanside 250-653-4620 www.stuffandnonsense.ca

Drummond Park, the site of the Annual Fulford Village Day in August.

This is a wonderful family event, not to be missed, with plenty of
good food, great music, games, raffles and good family fun.
Great restaurants and bakery, general store and gas station,

kayaking rentals, as well as helpful services and retail stores, Fulford e CLOTHING °* JEWELLERY * GIFTS *

welcomes you to visit and enjoy a “fulford day” of your own. . . .
- Natural Fiber Clothing & Accessories

e —Q\w: - silver, Stone, Wood & shell yewellery
f’ Vpee/d "Z,Z,ﬂ 74 /_; ~ Scarves, Shawls, Bags & Hats, Tie Dye

N - - -

N gy Full [ine of Thai Cotton Clothing by “Om Grown”

A G-, - Recycling Indian silk sari Clothing

x i Studio & Local Artisans Gallery — OPEN DAILLY. 11AM-5.30PM —
Ph: 250-653-4137 111 Morningside Rd. Fulford Harbour 107 MORNINGSIDE ROAD. — PH: 6539597

Our Salt Spring Island Restaurants and Eateries are

Eresh¥andjFantastic!

When we welcome the world to our island this summer,
let’s show them what good restaurants are all about....

The Islands Marketplace Magazine would like to
ﬁmote and publish a REVIEW of your restaurant.

THE ISLANDS
m May to September our magazine will feature a

w Restaurant & Dining Page and we'd like to include you! Ma—rlmpla—

FREE LOCAL CLASSIFIED ADVERTISING

Reply today for more details... only 10 spots available. WWW.ISLANDSMARKETPLACE.COM

Call 250-537-2905 or email: info@islandsmarketplace.com to reserve your review today!



Celebrate Earth Day at Centennial Park festivities, interpretive creek walk and clean-up.

2010 marks the 40th anniversary of Earth Day! Here on Salt
Spring, we have a veritable “Earth Week” of fun and inspiring
events — something to suit everyone!

Earth Week kicks off with the 2nd annual Earth Day Festival in
Centennial Park on Sunday April 18th from 10am-3pm. There will
be live music alongside displays from non-profit groups such as
City Green, West Coast Wilderness Committee, I-SEA, Transition
Town and Centre for Child Honouring. Recycling and composting
information will be provided by the CRD and Planet Zero, with
green ideas presented by SS Coffee Company, Green Muze and
Gecko Green Living.

Start the day with “Waking up the Sun” yoga — Celeste from
Ganges Yoga Studio invites the public to join her at 9am the gazebo
in the park to reflect and stretch.

Families can enjoy eco-crafts plus the Library Story Tent, and
hands-on circus workshop starting at 1pm. The Island Savings team
will be out with facepainting, prizes and a visit from Penny the
owl! New this year: students from SS Elementary and SS Centre
Schools will represent their concern for local environmental issues
through hands-on activities and displays.

A highlight of the day is the Interpretive Creek Walk and Clean-
up, hosted by Salt Spring Elementary School —at 11 am, participants
young and old are encouraged to grab some gloves and garbage

bags then head out to learn about the in-town creeks and do clean up
on the way. The walk will lead to Mouat Park where more clean up
will take place. According to Salmon Enhancement’s Kathy Reimer,
in-town streams are important natural waterways and key riparian
areas for flora and fauna: by removing human debris while allowing
natural features to flourish, these highly visible natural areas can be
enhanced and enjoyed by all.

Dress accordingly with gumboots, gloves, etc. — there will be
other supplies on hand, as well as information on managing potential
hazards. Then gather back at Centennial Park with the “loot”: last
year volunteers gather 250 kilos of trash so let’s see if we can get
even more!

Not to be missed will be the “Freecycling” area where you can
donate lightly-used items in exchange for “new” treasures to take
home — all for free! And don’t forget the popular “Knit —In” where
discarded yarns will be collectively turned into new creations --
plan to knit a row or two.

And heads—up for cyclists! Salt Spring Books is offering a 20%
discount on most bookstore items to cyclists biking to the festival
— just show your bike helmet as proof of your pedal-power!

Get hands-on at Centennial Park on April 18th, then have fun
and be inspired during the great events for Earth Week. For more
details e-mail Clare Cullen at ssearthday @telus.net.

Saltspring/lsland

WE PICK UP AND RECYCLE:

Aluminum, Appliances (white goods/ stoves, dishwashers, laundry equipment etc.)
Batteries (automotive, rechargeable, household, and cell phone), Bronze, Car Hulks,

EARTH DAY SPECIAL - FREE PICKUPS
from Mon. April 19th
to Sat. April 24th

Cardboard, Cast Iron, Cell Phones and Chargers, Christmas Light Strings, Clothes
Hangers, Electrical Wires, Gasoline (phone first), Motor Qil, Qil Filters, Propane Tanks,
Hot Water Tanks, Sports Equipment/Bicycles, Stereos, Televisons, Zinc, Aluminum Foil
and Plates, Brass, Tin Cans, Car Radiators, Computers, Monitors, Printers, Furnaces
and ducting, furnace oil tanks full or empty call for arrangements, Copper, Electronic
Office Equipment, Lead, Medical Equipment, Microwave Ovens, Oily Absorbant Rags,
Steel, Tires, Farm Equipment, Buses, Buildings of all sizes, ships/boats, trucks of all
sizes, airplanes, barges, Excavators, skidders, and any other metal goods imaginable!

440 Rainbow Road

Saltspring Island, BC 2’50‘5‘38

8




APRIL 16, 2010

WWW.ISLANDSMARKETPLACE.COM 11

“Economics of
Happiness” Award
Winning Author

MARK ANIELSKI

at Centre for
Child Honouring

Salt Spring Island, BC -
Professor Mark Anielski, author,
lecturer, and educator is the next
guest speaker at the Centre For Child Honouring on Salt
Spring Island, BC, on Sunday April 18, 2010 for Earth Day.
Professor Anielski is the Canadian bestselling author of
The Economics of Happiness. He was named a ‘rising star’
amongst international progressive economists in 2004.

An ecological economist and global leader in sustainability
and well being for nations, businesses, communities and
families, Anielski was a contributor to the 2006 anthology,
Child Honouring: How To Turn This World Around.

As the second speaker in the Centre’s Speakers Series,
Anielski will present an Earth Day talk on “GENUINE
WEALTH: CREATING A GREEN CHILD HONOURING
ECONOMY.” He is passionate about creating a world fit for
children, one with a prosperous and restorative economy in
harmony with nature, health, and well-being.

Anielski’s book, The Economics of Happiness, was just
published in China in Mandarin. The book shows how his
‘“genuine wealth” model is being used from Edmonton to
Innsbruck to Beijing. Genuine wealth is a new approach
to measuring and reporting on the conditions of well-
being that matter most to people’s quality of life and to a
sustainable world.

The Centre for Child Honouring is a dynamic
communications hub and educational facility founded
to advance Child Honouring locally and globally to help
create a world fit for children. For more information about
the Centre please visit: www.childhonouring.org

Salt Spring Garbage Services Ltd

Serving and supporting the community for over 40 years

Garbage dropped off $3.00 per bag
The only full service home pick up $3.75 per bag.
e Spring/Summer Hours

Monday to Friday: 8:00am to 5:00pm
Saturday: 10:00am to 4:00pm

Saving the Planet!
One Issue at a Time!

Our environmental goals include
offering our free ads so people can
easily reuse and recycle their 2nd
hand items... keeping them out of
the garbage and landfills.

We keep our paper & printing costs
down with our free electronic email
subscription service ...

THE ISLANDS
Marketpla(:e Save paper when you read it online:

Email info@islandsmarketplace.com
www.istanpsmarkeTriace.com 10 have it delivered to your inbox.

Eco Living's Kitchen Composters

Now Available at Mouat’s

Housewares in Ganges Village HﬂUSEWﬂREE

STO EE o

v No Flies From your kltchen
v No Odours to soil in as little

v No Mess as 2 months!

Get All Natural Organic
Garden inoculants from

E.J Eco, for Earth Day)|

EﬂﬁlLWIHG

qancbn'nq-lr

@ontact Eric @ 250-537-8424 or ecollvmgos@shaw.caJ

DiscoverithelGulfilslandsibyJAir™
CarboniNeutral’
Direct{Elights)

Daily Flights to

& from Victoria & ‘

Vancouver Airports.._ =

Call 537-9880 or check our website for info "f-'.""-".-'
about our scenic flights to and from Maple SARALTSPRINGAIR
Bay, the Victoria Airport, the Vancouver The Islanders Airline
Airport and Downtown Vancouver. 1-877-537-8880

photo by John Cameron

www.saltspringair.com
Author Ray Grigg writes a weekly

Rememberi
I ZK environmental column, Shades of
Green, which is published regularly

K in the Campbell River
By Ray Grigg i

North Islander.
Remember Y2K? A decade ago, technology experts were warning about a

e

massive malfunction of the world’s computers because these time-sensitive

machines would not be able to transition from December 31, 1999, to the
first day of new millennium on January 1, 2000. The problem was that existing
computers had not been programmed with full year designations. In order save
precious memory, 1971 was just coded as 71, so when 99 came to an end, the next
date would be read as a nonspecific 00. The ubiquitous use of these electronic
wonders in everything from financial transactions and airline reservations to store
stocking and nuclear reactor safety systems meant that the arrival of the new
millennium could be heralded with communication chaos.

Then January 1, 2000, arrived. Nothing of consequence happened. “A few
reactors in Japan temporarily lost the ability to monitor their safety equipment;
some Australian bus-ticket machines failed to operate; in Delaware, 150 racetrack
slot machines stopped working” (Globe & Mail, Jan. 2/10). The world carried on
as before, people dismissively shrugged their shoulders and called Y2K a false
alarm. But the truth is a cautionary tale worth remembering.

Unbeknownst to most people, the warnings did set in motion a frenzy of
corrective activity. Hundreds of billions of dollars were spent around the world
to re write old programs or to purchase new equipment. Information technology
was energized and experienced a boom in profits. Businesses and governments
that bought new computers found that the gain in efficiency quickly paid for their
investment. Soaring profits for manufacturers resulted in more research and better
products, advancing the technology and the economy as a whole. Not only was a
very real disaster averted but the solution brought innumerable benefits.

Lawn & Yard Care
= ’
« Mowing <.
- Power washing .. ¢
- General Yard Cleanup

« Trimming Lt
+ Tilling

saltspringmowerman@gmail.com

Garden

Care
made

Easy
with
Husqvarna

Mid Isle
Marine & Equipment

Sales & Service ¢ NickWilliams
1429 Fulford-Ganges Road -

Phone: (250) 653-4020

The environmental warnings we are receiving these days are a mirror of the
Y2K event. And in almost every case, the call is for prevention, for taking early
action before the problems escalate into crises that cause irreparable ecological
damage and incur outrageously expensive costs in dollars, social disruption and
human suffering < if, indeed, the problems can even be solved should we wait too
long before attending to them. Consider the following warnings:

* We know with near-certainty that open net-pen salmon farms, particularly
those on migratory routes of outgoing wild smolts, infect native salmon with
sea lice. The history of sad experiences with farm-borne parasites and diseases
in Norway, Scotland and Chile almost guarantee that they will eventually arrive
in British Columbia’s biologically rich West Coast. Why not mandate closed-
containment systems for salmon farming before even greater ecological damage
occurs here?

* The deposit of tar sands in Alberta is the second largest known reserve of oil
on the planet. It is also the world’s “dirtiest” supply of oil. The enthusiasm with
which it is being mined and processed is leading inevitably to a wide range of
ecological problems. Why not conserve this precious and non-renewable resource
for a time when “peak o0il” makes it a scarce and desperately needed commodity?
Why ship it wholesale to an energy gluttonous United States? Why even consider
bringing supertankers to BC’s West Coast by moving it by pipeline to Kitimat?
This is a fool’s strategy that will simply feed Asia’s energy appetite, encourage
unwanted carbon dioxide emissions, and invite an inevitable spill to the Great
Bear Rainforest, one of the most valuable biological regions on Earth.

* Minerals are a non-renewable resource. And they are getting harder to find.
And when they are found, extraction usually accelerates ecological damage by
intruding into unspoiled regions. The time has come for a global inventory of these
limited resources, a metering of their extraction and a careful capture and reuse of
all metals. We must stop acting as if we live on a planet of endless resources.

* At present rates of catch, industrial fishing of the world’s oceans is set
to exhaust all supplies of commercial species by 2040. Many species are
already at critically low populations. Biologists suggest that the only way
of stopping this impending disaster is to reduce catches and to designate
about one-third of the world’s oceans as protected marine reserves. No
fishing. Stocks will rebuild within these sanctuaries and spread beyond,
where then can be harvested, theoretically in perpetuity. Why isn’t Canada
and other nations taking a leadership role in preventing this looming disaster?
* Every city, town and village can bend provincial and national governments toward
solving environmental problems by taking a leadership role. Every community
can conscientiously recycle, process garbage for raw materials and energy, protect
local green spaces and mandate energy efficiencies. They can take a visionary role
in thoughtful planning, sustainable use of natural resources, eliminating pollution
and raising the profile of sustainability with their citizens. If these became primary
objectives in every community, they would.generate new employment, encourage
innovation, promote health, improve lifestyles and produce a myriad of other
benefits both promising and unexpected.

The Y2K event should remind us that we can avoid disasters if we heed
warnings. The preemptive action of a decade ago is precisely the corrective tactic
that needs to be embraced today by businesses, politicians and the general public.
When remembering Y2K, Paul Saffo of California’s Institute for the Future,
reminds us that, “In the end we did the right thing but we waited until the last
minute to do it, and it was very expensive because of that” (Ibid.). Let’s hope that
we don’t have to learn the meaning of “very expensive” when it comes to our
looming environmental challenges.

HOREL TRUCKING AND EXCAVATING

Digging the rock for generations!

7
M - E gravel, sand, crush rock

v soil, fill, brush, stumps, landscape,

*= | rock demolision, excavations,
driveways landscaping, rock walls,
d block walls, landclearing, hydro and
waterlines, drainage, fence posts

250-653-9581 250-537-6224 465 Dukes Road

jphorel@shaw.ca Saltspring Island, BC V8K 2B6
By Tracey Supina
o comes the season of gardening. Well all who know
S me, know well of my barren yard. It appears that I
should live in a dessert where nothing grows. Who
would figure if you look at my Mom’s yard so bountiful, full of
colour and sooooo many flowers, trees and plants, that I would
have a nothing yard.

So what is one to do about this I ask? Well for years and
years I have had big visions of what I should plant, something
beautiful and full of colour. Well that really didn’t turn out for
me. Apparently you need to water said little beauties, not only
water them, but something called dead head and prune and nour-
ish- what is up with that? So next plan of attack, some kind of
shrubs and spreaders, low maintenance yard cover, as my Mom
calls it....well no luck there either... apparently they need love
too, water, trimming and I guess it’s not a good idea to run them
over with the lawn mower either. Who would have guessed. Not
to mention the last storm dropped a tree top onto my one and
only healthy looking spreader.

Now what I ask? Just so happens I know a Gardening Coach
extraordinaire. Tina Rothwell 250-537-6461. Maybe she can
help. Tina can take your yard and design what plants go where,
what trees go where to beautify your yard, whether needed for
shade or beauty. I have had the pleasure of being in her yard
many times and enjoyed the tranquil feel it has, and love to hear
of what this tree will do and what that plant will take over and
create a picture. She has a vision of what a yard can achieve and
how to achieve it. I think after this article she may take pity on
my sad barren dessert induced yard and help me. Just today after
stopping at my parents for a visit my Mom was digging up and
splitting plants for me. “Good grief please don’t let them die this
year again” I was thinking to myself, “maybe I can just leave
Al's Asian Treasures

b‘x{zj/zﬂa//m/ s&m/ffy %p/m/w/ﬂ/(m/ CHbsian roducts

- Metal Gates In an unassuming warehouse just off the junction between
the Trans Canada Highway and the road to Chemainus, is

- Ston? StatU('S Vancouver's Island’s most eclectic and exotic collection
of Indonesian Art, crafts, home property decor,

< Art & j QWQIIWV and furniture that you will see in one place.

The name of the store Al’s Asian Treasures

= (abinets & Furniture
- Paintings & (arvings
9360 SMILEY ROAD, CHEMAINUS, BC 250-7132-3696

hints that what lies within but you
really have to go there yourself.

=

WHEN IN DOUBT... CALL THE GARDEN COACH

177\Vesuvius|Bay Rd1537-5995

:". » [|Celebrate Earth Day
| Plant a Garden!!

| Come see Jeff & Morgan
- | for a healthy selection of:
: Bamboo, Peonies,
Hardy Palms, Heather

Rhodos, Hellebores & more

them in the pots.” I asked my |}
Mom.....the look of horror and
disbelief gave me my answer.
So I am one of those people
who must have another talent ||
cause it certainly isn’t garden-
ing. I encourage any of you
that are much like me get some

Stroll through our Beautiful
Display Gardens to the pond
for creative ideas & solutions.

We specialize in low
maintenance designs and

advice, perhaps we all need a are happy to help you
Gardening Coach to some de- from free advice to full
installations.

gree or another. Happy plant-

ing all and budding away....... Open: 10am - 4pm most days
.theplantfarm
l $9.00 ea 1 gal.
SALE ENDS APRIL 29TH

Wild by Nature
(While supplies last. Cash or Cheque Only Please)

Plants Trees and Shrubs
239 Vesuvius Bay Rd. Fri. Sat. Sun. 10:00-5:00 537-8422

Azalea

f" HAS THE RIGHT GEARn

w{'lH‘-i'L
MO CAND EASY |

......l_l.r—"

Trimmers,

Brush Cutters,
Hedge Trimmers,

Gas BIowers,,-q -
Chainsaws

& more...

«5 TIHL

10% OFF REGULAR PRICE WITH RESIDENTS CARD

250) 537-4202 HOURS: MON. - FRI. 8:30 - 5PM

SATURDAY - 9AM T0 1PM
222 Upper Ganges Rd., Saltspring ~ www.harboursendmarine.com
Fax (250) 537-4029

harboursend@shaw.ca

“All Your Garden Equipment Needs - Year ‘Round!”
HOROSCOPE

Congider the Chicken

By Simone Bova

Chickens are quickly becoming an urban symbol of f
sustainability. L, M‘

The City of Vancouver is in the process of .5;:5% -
drafting a new bylaw to allow urbanites to raise \ J
chickens. In its ambition to be the greenest city A
in the world, backyard hens will aid in reducing
the City’s carbon footprint by laying eggs and
providing manure for gardens.

It would be nice to say that city chickens are legal coast to coast, but, to
date, Victoria and Halifax are the only places where backyard flocks are
able to roam.

These cities, and others around the world, are truly forward thinking.
Raising chickens is a wonderful introduction to sustainability on a micro
scale.

Chickens lay eggs, an average of one per day. Their manure is rich
in nitrogen and, once aged, makes excellent garden fertilizer. They love
scratching in the earth, eating bugs, pulling weeds and loosening the soil,
preparing the ground for planting. Their diet can be enriched with table
scraps and their eggshells can be composted. Chicken care is basic but
must be somewhat consistent, a wonderful lesson for children to learn.
They are fun to watch, have distinctive voices and personalities, and
always come running, hoping for treats.

Keeping chickens is a lesson in the interconnectedness of food, earth and
spirit. Like the classic query “Which came first, the chicken or the egg?”,
there is no straight answer. The benefits are interwoven and evolving.

.

For your daily stars,
personal horoscopes & more
visit www.patrickarundell.com

ARIES Mar 21st - Apr 20th

Continue to be hard nosed over financial issues.
If this means moving credit card provider, swop-
ping your mortgage for a better deal or chasing
up money that is owed, then so be it. It will

give you a greater sense of security to feel that
you are getting extra value. However, money
squandered on little luxuries, will only further
denude your bank balance.

TAURUS Apr 21st - May 21st

You remain in astral pole position Taurus, but
you will still need to concentrate to make sure
you continue to lead the pack. However, don't
be put off by obstacles. Sometimes we have to
stay single minded to achieve goals. In love,
this can be a perfect time to put the spark back
into proceedings by being more daring. Why not
surprise your partner?

GEMINI May 22nd - Jun 21st

Vague or very real doubts can pop into your
mind. If you choose to try to brush these under
the carpet, this won't be helpful. However raw
certain subjects are, they're probably better
being discussed. You just may find that you are
on a crash course Gemini, one which tells you
who can be really relied upon in your situation,
and who is much less caring.

Bi-weekly horoscope contributed by Patrick Arundell. Visit his website at www.patrickarundell for more great features... see below.

CANCER Jun 22nd - Jul 23rd

A group or adventure holiday or one with a his-
torical theme, can really excite you. This may see
you heading off or planning to go somewhere
wild and woolly as much as the fleshpots, but
someone’s commitment may waver, 5o you may
want to consider who may step in if this person
should pull out. You too could also do a U Turn
now over a plan.

LEO Jul 24th - Aug 23rd

Astroke of luck can break for you'in a job ap-
plication, but equally your hopes can be snared
by a misunderstanding. Keep relations with
those who can influence your future as cordial
and professional as possible. Your frustrations
may be high, but if they boil over, it will help you
less. Power dressing and refining your Resume,
can however. Get toit!

VIRGO Aug 24th - Sep 23rd

If opportunities have seemed to have come
along very infrequently, it doesn't mean they
never will. And while this week may also see
some delays, a break could come, so be ready to
capitalise. However, a legal matter may prove
tricky. Be sure of your facts before launching a
claim of any action. If you're waiting for a claim
to be settled, be patient.

LIBRA Sep 24th - Oct 23rd

A stunning New Moon can give your relationship
prospects a massive lift, not least because
fantasy planet Neptune joins in superbly. Dare
to believe something amazing can happen and
it might. With Mercury and Mars sparking again,
this suggests you need to be realistic about long
term financial hopes and take any payment
delays in your stride.

SCORPIO Oct 24th - Nov 22nd

The Sun powers its way into your relationship

CAPRICORN Dec 22nd - Jan 20th

You can be in a hopeful mood, and things can
be bubblier socially, but there may also be
some mishaps too. Someone may change their
mind on a night out, which can disappoint you,
or there can be a genuine misunderstanding.
Sparks can also fly romantically over shared
finances. Try not to jump to conclusions whilst
also being healthily sceptical.

AQUARIUS Jan 21st - Feb 19th

If the family are set to get together for a

sector, but with Mercury twisting backwards and
tangling with your guide planet Mars, all sorts
of mix ups are possible and especially if you are
too hasty or forceful in what you say. Conduct all
discussions with care and forethought. You may
revisit a tie which went awry earlier this year.
Tact will resolve things.

SAGITTARIUS Nov 23rd - Dec 21st

It's time to get down to brass tacks and if you're
up for doing so, there is a lot you can get done.
However, what you don’t want to do is stress
yourself out doing too much. Set yourself
reasonable targets Sagittarius. There could be a
temptation to put off appointments, especially
linked to health matters or for these to be can-
celled, last minute.

gathering, not everyone is likely to see eye to
eye about the arrangements. With Mars causing
similar sparks to earlier in the month in its angle
to Mercury, don't try to browbeat anyone with
what you want, but stand up to a browbeater! If
you're moving, don't take anything for granted.
Glitches can crop up.

PISCES Feb 20th - Mar 20th

It may be hard to catch your breath Pisces. If you
like excitement there is unlikely to be a shortage.
However, this can also mean that it can feel as

if there aren't enough hours in the day, which
could then make you feel niggly and stressed.
Try to create some gentle diversions. Even ten
minutes here and there, just for yourself, can
help you to cope better.

Leisure ~ Pleasure 2010

+ Love ~ Romance 2010 - Health ~ Fitness 2010 - Work ~ Wealth 2010 - Myths and Legends -
CHILDREN’S TOYS

Remote Control Speedboat. White
and blue, approx 2’ long. Used once.
$45 (Liam) 250 537 4579. 04-16

Grey folding playpen $35. Phone:
250-537-1047. 04-16

Toys in very good condition for babies
and toddlers. girls items, baby girls
clothes 6-12 months. 537-2950

COLLECTIBLES

Short Wave Radio, Stromber-Carlson,
pre-1932, wood cabinet with drop
down front wings; working order, ex-
cellent condi. 250-537-8394. 04-16

RCA Victor Greig Concerto in a- set of
3 78 RPM records. The Music of Jo-
hann Strauss - set of 4 78 RPM. Both
sets with original bound book covers,
and in excellent condition. Phone:
250-537-9551. 04-16

COMING EVENTS

StageCoach Theatre School -- OLIVER
on Friday April 16 at 7 p.m. and Sat-
urday April 17 at 2 p.m. at ArtSpring.
Tickets on sale now - $12 for adults,
$8 for kids under 12. SPECIAL GROUP
RATES. Get your tickets today!

Salt Spring Island Poultry Club is hav-
ing a swap on April 18th, from 10am
to 12pm, at the Farmers’ Institute?
There will be poultry related items for
sale, like chicks, ducks, coops, etc.

Dist. 64 PARENTS ADVISORY COUN-
CIL'S 11l All day retreat. April 23, 2010
Guest speaker: Raffi Cavoukian will
be speaking on: RESPECTING CHILD
RIGHTS: A COVENANT FOR CHILD
HONQURING 9am to 3:00 pm at Gulf
Island Secondary School/ Free Reg-
istration. Lunch and Childcare will be
provided (A $5 donation is appreci-
ated from those who can afford it)
Water Taxis will be running on regular
schedule at no cost to participants.
Registration deadline: April 16, 2010.

COMING EVENTS
WY MUSy,.

« FRI, APR. 16  8pm -
Live Music with T.B.A.

* SAT., APR. 17- 8 to 11pm
Tal Bachman & The Imposters

* SUN. APR. 18 - 7pm Jazz Night

* THURS. APR. 22 -8to 11pm
Blues Soul Shakedown & friends

* FRI, APR. 23 -8 to 11pm
Live Music with T.B.A.

* SAT., APR. 24 -8 to 11pm
The BUSTED TUNE-UPS

* SUN., APR. 25 -7 to 10pm
JAZZ/FOLK w/ T.B.A.

* THURS. APR. 22 -81to0 11pm
Blues Soul Shakedown & friends

(@SSJMARINAYPH:!537:5559

Crofton Market - Local Artisans, Be-
side Ferry Terminal from Saturday, May
1sttill Saturday, September 4th, 2010,
9:00 a.m. to 2:00 p.m. To Become
a Vendor or For More Information
croftonmarket@live.com,  250-246-
8848 or 250-416-0542

Songs of Life: Salt Spring Singers in-
vite you to their spring concert on Sat-
urday May 1 at 8 p.m. and Sunday May
2 at 2 p.m. at ArtSpring 250 537-2102.
Tickets: Adult $16, Senior $13, Child
Under 12 $8, Eyego $5. See you there.

Dance workshop with Wen Wei. Sun.
May 2, 6-7:30 pm at ArtSpring $20
+ GST. Wen Wei's workshop encom-
passes different styles, incorporating
aspects of improvisation, Tai Chi, clas-
sical Chinese Dance, composition, and
movement. Open to all levels of danc-
ers, teens/adults. 250-537-5681.

SIMS has Talent! April 24th, doors
open at 6:30 pm, show at 7 pm. Tix
$5, includes dessert + refreshment.
Also silent auction items + raffle tix for
themed baskets. 250-537-0614.

Dance Films featuring the work of
Chinese-Canadian choreographer
Wen Wei. Tuesday April 27, 7:30 pm
at ArtSpring Theatre, FREE admission.
In celebration of International Dance
Day, Dance Outreach Coordinator,
Anna Haltrecht, will show the recent
work of choreographer Wen Wei on
ArtSpring’s big screen.Wen Wei Dance
will perform “Cock-Pit” at ArtSpring
on May 4. Phone: 250-537-5681.
Email: anna@bonesforever.com.

Battle of the Airbands on Friday May
14th mahon hall at 6:00pm. This special
event is a fundraiser for the sscs lead-
ership program they will travel to tofina
to study the ecology and first nations
art at the beginning of june. application
to enter are at salt spring books and are
$10. tickets to come on the night are by
donations and will be sold at the door.
More info: 250-537-5785. 04-30

Conservancy’s public education pre-
sentation on April 23 by invasive weed
expert Glenn Miller, at the Gospel
Church on Salt Spring Island at 7:PM.
Miller will speak on Reclaiming Your
Back Yard and Acreage from invasive
weeds.. 537-0880 for info.

YNOLDS

CARPET & UPHOLSTERY CLEANING since 1964

« 24-HOUR FLOOD RESTORATION * Hypo-Allergenic Cleaning Products
» Truck Mounted Steam Cleaning  * Deodorizing & Scotch Guarding

« |ICRC Certified *Spot Cleaning
» Environmentally Safe Products ~ * Industrial De-Humidifiers
* Wall to Wall Carpet Cleaning & Air Movers

& Area Rugs * Dust Mite Spray

* Tile & Grout Steam Cleaning ~ * Cars, Trucks, RVs, Boats

RESIDENTIAL & COMMERCIAL

250-53T 4208
250-53T 5168

COMMUNICATIONS COMMUNICATIONY

Proudly serving Salt Spring Island
for over 25 years!

ISLAND
COMMUNICATIONS LTD.

Your communications specialist

Surveillance Camera Systems

Visir vs For KENWOOD afosne awo

PORTABLE
pReLEn Ravros

We are a proud member of the BC Firechiefs Association

2540 Bowen Road,
Nanaimo, BC V9T 3L3
Phone: 250-758-7301 Fax: 250-758-0294
Email: cercomm@island.net

www.island-communications.com
SALTSPRING SOLILOQUIES

“Global Warrior”

“There were displaced people literally everywhere.
Just imagine thin-boned people walking down the street with
whatever they have left- one or two children, too weak to move. They
were hungry, they were sick. They were dying literally on the streets.
And under those circumstances you have to focus on what it is that
you’re here to do. We were trying to provide food and medical care for
upwards of 150,000 people who had flocked into Baidoa.
They were sitting silently, waiting for food. And that’s

Jim Anderson is a writer livingon Saltspring. He is working on a metamorphosis
of the human mind. © 2010 by Jim Anderson, Saltspring Island

sanctuary from the brutal agony that our personal lives are becoming

lost deserts with no true compassion and hope, and the institutions
and structures of our civilization itself can no longer save us from the
disintegrating horror that there is nothing there to save us all from the
madness and terror of draconian evil and wretched, brutal inhumanity.
It is becoming indelibly clear that our only hope as a species and a life
force is to somehow reach beyond everything we have ever known...
step out of ancient customs, habits and restraints and find something
new. All of us at some point must realize that human beings and our
beloved Global Earth will not survive unless we forsake
the old and find something new under the Sun, take steps

what I remember most is the silence. Children were so “That day, in a new direction and dimension that have never before
weak that they couldn’t even lift a spoon to their mouth. these gutters been taken or dreamed of, or we will not survive.
And too weak to even yell or be upset because the food A handful of truly global warriors like Dr. James
isn’t here or it’s late or whatever. Too weak even to assert were literally Orbinski out in the inhuman reality of Somalia, Uganda,
themselves. That’s what a feeding centre looks like.” . Kosovo and so many horrors of Hell all around our
Dr. James Orbinski, Past President, Medecins Sans running world today are performing miracles every day in the
Frontieres, Catastrophic famine in Somalia, with blood” real world of genocide, war crimes, massive violations of
From every direction, and from every corner of humanity, protection payments and blackmail extortions
our world today the evidence is overwhelming and ~ Dr. Orbinski to war lords... fighting a desperate losing battle to reach

irrefutable that something is desperately wrong at the
center, and that nothing really works anymore. Since
the turn of the last century in the world of science the shattering
truth is that our worldview of universe has been eroded irreparably
with indeterminacy, chaos and uncertainty and the dream of a
perfectly ordered and logical reality has become nothing but a mirage.
Our philosophies and spiritual groundings give us no shelter and

OUR MAP 1S COMING BACK!

Still trying to find yourself?

Don’t worry, our Salt Spring Island
& Ganges Village Maps will help!

Back by Popular Demand...
beginning May 14 to Sept. 11

10 issues only...book all 10 for 10% discount.

Four Page Feature includes 2 Map pages,

Dining Directory & Review & Family Fun Page...
for ourisland visitors...looking for YOU!

Deadline for May 14 issue:

Tuesday, May 11, 5pm
Call Samantha at 537-7302
Sandi - 537-2259 or Teresa at 537-2259

Don’t miss out - limited space - call today!

and save desperate, tortured, starving and dying human
lives out there in the blackness of lost oblivion beyond
our television sets and our contented and oblivious, hypocritical lives.
We can no longer ignore that humankind is captive in an ancient
and primitive mindset that is destroying our civilization. There is
nothing in that old worldview and primitive mindset that will save
us...nothing there that will get us through the catastrophic crisis that
is now devouring our civilization. All of us gathering today for a
global celebration of Earth Day have to sooner or later accept this
horrific lesson...Only something new will save us all. Beyond the
halls of learning, the political world of governance and the corridors
of monolithic power we have to find a new human dream and vision
that will help us build a reborn human civilization beyond this
madness and horrible agony...and give us a lasting and eternal reason
to truly care and treasure human life as sacred, vital and essential in
this world...forevermore.

“’We had 6000 people living in the hospital. We were doing
constant surgeries, amputations, revisions, traumas. .. Outside of
that fence (surrounding the hospital) people were being killed....
Dogs would come and eat the bodies, wild and howling in the night...
Around the last week of June the battle for Kigali accelerated. There
was intense fighting throughout the city and Interahamwe stepped up
their massacres and killing. There was virtually every kind of war
injury imaginable as well as the new feature of machete injuries en
masse. That day, these gutters were literally running with blood.”

Dr. James Orbinski Founder of Dignitas. Genocide in Ruanda

On our watch in the spring of 1994 in 5 wretched, diabolical
weeks close to 1 million human beings, men, women and children,
were murdered and hacked to death in the evil darkness of Ruanda.
And the civilized world turned its back and did not care. A precious
few stood in that living Hell, carried the Human flag and stayed. In
torture, starvation and genocide all over our globe where helpless
human beings are enduring unimaginable agony these simple human
beings are standing there, alone in horror. Those Global Warriors
are standing there still, in that hopeless and abominable despair. We
cannot let them stand alone. They will fail without us. It is our flag.
It is our battle. We must find a new way to be human on this earth or
all of us will fail. We must stand and stay together and find the way.

Comments, criticism, compliments?
Talk to me: sevenunion77@shaw.ca
COMING EVENTS

ELECTRONICY

FREE STUFF

FURNITURE

Breast Cancer Support Group. Call
Teresa at 537-2259 or Deb at 930-
5333.

COMMUNITY SERVICES

Narcotics Anonymous - 250-537-
2790.

DRIVING SCHOOL

Cornerstone Driving School has new
classes starting soon. Call Shirley at
250-538-1733. 05-29

ELECTRONICY

Brand new linksys router. High end
model. Never used, still in box, $100
($150 new). 400 ft. of ethernet cable
(cat 5e indoor). All yours for $20.
(one 250 t. length, one 150 ft. length).
Phone: 250-653-4443. 05-14

Linksys Router $25. On Pender.
Phone: 250-538-2206. 05-14

Digidesign Mbox 2 Mini Digital Audio
Interface/Recording System + Pro
Tools 7.3.1 software In perfect shape
PC/Mac Compatible - $200 - email:
georges@cyme.org - Phone: 951-
263-4940 - On SSI. 05-14

Flip Mino 60-minute video camera
with tripod, wrist strap, action mount,
& custom lightweight (experimental)
mini-harness to shoot from front and
back of body. Beyond user-friendly.
$50. Phone: 250-538-0988. 04-30

Two Samsung 90 Watt brand new note-
book adapters still in shipping boxes,
$30 each. One hardly used car power
charger, $10. One Samsung USB cell
phone wall charger, $10. Phone: 250-
538-0988. 04-30

Wii game, WWII Aces. Too hard for the
kids only tried it once $20. Phone: 250-
931-7679. 04-16

EXERCISE EQUIPMENT

50 Ib. punching bag, $50. Perfect con-
dition. Workout bench, $20. Perfect
condition. 250-653-4443. 05-14

StairMaster 4000-PT. Used but in very
good condition. Only $500!! Phone:
250 537-4341. 05-14

Exercise bike, used but in good work-
ing order! Great price at $100 but must
collect. 250 537-4341. 05-14

FARM EQUIPMENT

BOSE Professional Full Range Pow-
ered PA system comes with 16 Input
Electro-Voice Console and 2 matching
S 100 Electro-Voice cabinets - $3000
- email: georges@cyme.org - Phone:
951-263-4940 - On SSI. 05-14

Xbox 360 elite 120 gb works like new
comes with lego batman and pure
comes with 1 wireless controller and
has all the cords. 250-537-1492. 05-
14

Mobile High Speed Internet Key - Si-
erra Wireless USB 598 with mircoSD
slot - Contact Bob for information at
bhowe@saltspring.com . 05-14

Toshiba TV, 2006, 28” screen, very
good condition. $200. 537-2458.

1953 Ford NAA Anniversary year col-
lectors tractor and original owners
manual. stock, 2/3 restored. $3200
obo. Call for more info: 250-323-1969
pls leave msg.. 04-30

John Deere wagon, used little, good
hauler for lengthy lumber, logs or for
horse caravan$1500 obo. 3 pt. hitch,
$200. Antique horse scoop. Bocks
Happy thought, restorable. $150 obo.
Call 250-323-1969. 04-30

FREE STUFF

Beaumark electric range with self
cleaning oven. FREE Call 250-537-
0488. Lee 05-14

7 foot oatmeal sofa - Free. 537-9694.
05-14

COMPUTER SERVICES

COMPUTER SERVICEY

Westinghouse stove, white, good
working order. Free. Renovating
kitchen so we are renewing appli-
ances. Also renovating bathroom so
does anyone want, FREE, a cream co-
loured, plastic shower cubicle, jacuzzi
bath (hardly used) wash basin and a
toilet pan? Not immediately available
but will be soon. Phone: 250-538-
0912. 05-14

The Islands Marketplace offers free
ads to non-commercial advertisers,
foraduration of 3issues. Leave a mes-
sage at 537-2905 with ad description,
phone number and category heading;
email your ad to freeads@islandsmar
ketplace.com; upload your ad: www.
islandsmarketplace.com; drop it off
at our Apple Photo Drop Box or see
page 2 for mailing address. Most For
Rent and Help wanted ads are consid-
ered to be commercial listings. Rates
for commercial ads are 20 cents per
word or $7/column inch.

FURNITURE

Cutting Board Cart $40. On Pender.
Phone: 250-538-2206. 04-30

Outdoor patio furniture - table with
4 chairs and umbrella and cushions.
3ft. wide x 4 ft 4” long. $50. Call 537-
9694. 05-14.

Blue upholstered swivel rocker chair,
$50. Double futon bed frame, $20.
Avail. Apr. 28. 537-9694. 05-14

Double armchair with extended seat.
Blue and white stripped fabric. Excel-
lent condition. $250. Phone: 250-
537-4341. 05-14

Sofabed - wooden 3 seater sofabed
that folds down to a double bed with
matress. Blue fabric, wooden frame.
$100. Phone: 250 537-4341. 05-14

Round chipboard table, with glass
top. Free to collector (ssi). Phone:
250-537-4341. 05-14

Modern comfy, clean loveseat sofa
with custom olive green coverlet.
$40. Phone: 250-538-0988. 05-14

N° Wackim

@@@;@E@@E Services

+

Computer Sales & Repairs ¢ Evenings & Weekends

Brien Anderson

Phone: 537-2437

Cell: 538-8271

Email: hackwack@shaw.ca

Brand new unused Queen size spring
filed mattress. $200. 250-537-5827.
05-14

Wooden Deacon’s Bench. Jean Pa-
faroy A.C., Quebec museum reproduc-
tion. Pine finish. fine condition. ex-
cellent for storage; useful for seating.
56 inches long. Asking $ 200. open
to offers. call Maggie 250 537-9820.
05-14

Kitchen table with hutch & 4 chairs.
ikea furniture $250.00 chesterfield and
love seat, as new Sears Product, $300
00 for both. 250 537-1802. 05-14

Matching couch and chair...$40.....also
recliner chair for $15. Call 537-2259.
05-14

Folding futon couch/ bed. $125. Like
new. 250-884-9732 or 537-8808. 04-
16

FRESH SEAFOOD

EJME

- Available all weekend
at the Centennial Dock
- Free Delivery

VHF Ch. 16

537-6280 / 5371-9613
Ganges, Salt Spring Island, BC

t Spring

Or. findrea \Varju

158A Fulford Ganges Road,
Salt Spring Island, BC
V8K 2T8

Tel: 250-537-4356

EYE EXAMS, GLASSES, CONTACT LENSES
GARAGE SALE!

LIVESTOCK

MISC. FOR SALE

MUSICAL INSTRUMENTS

Multi Family Gararge Sale at 190 Long
Harbour Rd. Saturday 17th April from
0900 untill 1300 Hrs. Something for
everyone. 250-537-4172. 04-16

GARDENING

6 foot handcarved stone-tired Buddha
statue. $1295. Call 250-732-3696. 05-

14
GRAPHIC DESIGN

Big-Bangdesign.com  Print / Web-
sites / signage / LE Giclee prints.
604.873.9417. 04-30p

Islands Marketplace does graphic de-
sign. Creative, professional, experi-
enced and affordable. Call 537-2905 or
email: info@islandsmarketplace.com

HEALTH & WELLNESS

Ducklings for sale white pekin type for
pond or table..$10.00 each. Phone:
250-537-4172. 05-14

Meat Rabbits Harlequins & Califor-
nians..$30.00 each live..great manure
makers for your gardens. Phone: 250-
537-4172. 05-14

Hair Sheep for sale Ewes and Lambs
great for rough pasture and broom
clearing..different types and co-
lours..$75 to $100..each Phone: 250-
537-4172. 05-14

“Rosy” tame southdown ewe 2ys old
never lambed to good home as pet or
lawmower.  $110. Phone: 250.537-
4172. 04-30.

Ewes with Lambs at foot. Single $150
with twins $200. Bottle Baby Lambs..
different types.. $75.00 each great for
4H projects. 250-537-4172. 04-30

wanted; inversion table for back or
spine. Good condition and good qual-
ity. affordable a bonus. Call Diane at
250-537-4231. 05-14

Rife Energy. Personal, professional
friendly energy work. 537-2259.

HELP WANTED

NEED VOLUNTEERS?  The Power
of One Community - Volunteer Fair
may be your answer! Please visit the
website  (http://members.shaw.ca/ee-
smith55/fair/)

or contact Evelyn at 250-931-1029 or
eesmith55@shaw.ca. Pre-registration
by April 26th required. 04-16

HOME IMPROVEMENT

To those people that | have house paint-
ed, many thanks. To those people that
would like to have their house painted,
inside or out, reasonable rates, please
phone Keith, eves at 537-9169 or Te-
resa days, cell: 737-7688. 03-05P

Email your free ad to:
freeads@islandsmarketplace.com

MISC. FOR SALE

Two 100 ft., 12 gauge, outdoor quality
extension cords. Used two months,
perfect condition. $80 each (about
$110 new with taxes). Phone: 250-
653-4443. 05-14

Viberg caulk work boots, made in Vic-
toria, size 11, upper leather, bottom is
rubber, used for short planting season,
still have lots of life. $75. Davind 250-
653-2067. 05-14

Simplicity Dehumidifier $60. Rotary
Clothesline $40. On Pender Island.
Phone: 250-538-2206. 04-30

2 way fridge, Norcold, 7.3 cu. ft. never
used. New $1800 + tax. Small trim
damage, $1100 obo. 250-526-2772.
Byron Rd. 05-14

White Sears roller blind, 6 feet
wide.$15. Call 537-9694. 05-14

Sun-Mar compact toilet, electric. Nev-
er used, easy to install. New price over
$1200. Asking $950. 250-537-0612.
04-16

< pleaserecycle <

i o & Ferdrer sl

Islamd Indegrity

" Fears of Professional, Craalified Experfence”
2 Renovations, Additions, Sunrooms, Custom Construction.

v cipa i i T

LID

Island Pride

Jim Anderson
537-0779

Drawing table with adjustable angles
and heights. $70. 2 large meditation
cushions, hand upholstered, $400.
Very large willow basket, 32" diam-
eter, 9” depth. 1/2 original price. $80.
250-537-2814. 04-30

Narnia complete box set paperbacks.
Excellent condition. $20 (Lukas).
Phone: 250 537-4579. 04-16

Yamaha G2 Grand Piano. Black Gloss
5'7”. Phone: 604-506-0077. 05-14

Yamaha PSR-280 with all the bells &
whistles. Also sustain pedal and key-
board stand. $250. Call Monica 537-
2967. 04-16

OFFICE SERVICES

MOTORCYCLES & ... .:-: i ] Calogues Sl
83 yamaha XT600. 81500 Thisisare- | @ COT@T

liable bike and is really good on gas. |
can email you some pics or just come
on over and take a look. It’s fully street
legal and | have the papers. Alex. 250
537 9390, 537 5573. 05-14

2005 Vespa ET4 150cc off white,
blue seat. 8500km all island driven.
Just dealer serviced and ready to go
c/w bubble carrier, gloves and helmet.
$3500. 250-537-5827. 05-14

Electric scooter for sale like new 2
years old. asking $7000bo. Phone:
250 930-0377. 04-30

2004 Honda Jazz 50 cc scooter 9000
km, Red & Black. Clean, quiet reli-
able 4 stroke engine. About $3 gets
you 100 km! No motorcycle license
req’d. $1600. Markus. Phone: 250
537 4579. 04-16

1999 Yamaha scooter. 49cc with a
high performance exhaust for opti-
mal road speeds. Comes with helmet.
$1500. Phone: 250-537-2335. 04-16

MUSICAL INSTRUMENTS

Hammond Aurora Spinet with built in
Leslie $250, Yamaha MG16/6fx pow-
ered mixing board $400. Phone: 250-
538-2206. 04-30

Hammond Aurora Spinet with built in
Leslie $250, Yamaha MG16/6fx pow-
ered mixing board $400. Phone: 250-
538-2206. 04-30

Vintage Peavey T-60 Electric Guitar
comes with its Peavey Deluxe Flight
Case. A Vintage Classic of the late
70s/early 80s - A real reliable pro-
fessional instrument. $475 - email:
georges@cyme.org - 951-263-4940
- On SSI. 05-14

Vintage Mandolin from the early 1900s
with case. Spruce top. Ebony finger-
board.Rosewood, mahogany mar-
quetry Silver inlaid tortoise shell pick
guard Mother of pearl & abalone inlays
Custom made engraved leather strap
- Qutstanding piece of craftsmanship
Comes with its very own restored case
$1000 - email: georges@cyme.org -
Phone: 951-263-4940 On SSI. 05-14

(Salt Spring Book & Stationery)
162 Robinson Rd.
By appointment Ph./Fax: 537-5115

PERSONALS

Caring, creative, com(passionate)
content, warm, independent, adven-
turous, slim & trim, lovely, youthful
woman, 62 - Hike, sing, play, dance,
explore, garden, kayak, travel and
more - come join me kind-hearted
and fun-loving man-friend. Detailed
replies plus photo please to drop off
box at Apple Photo, #6-121 McPhil-
lips Ave, Ganges, Saltspring Island,
V8K 2T6, under “K” for Kathleen M.
04-16

PRAYER TOOLS

Custom Buddhist/Hindu Rosaries
made on Saltspring Island. NEW THIS
YEAR handmade on-island Statuary.
Visit www.destinationom.com for de-
tails or call 250-537-1792.

NATIO
gﬁ‘ N o

Malas and Statuary  Q,,
NEW! Meditation Cushions \'s

New in Stock: Hemp Hulls
See our ad under “Arts & Crafts”

Email: destinationom@yahoo.ca
www.destinationom.com

Today is a good day to...
meditate with prayer..
REAL ESTATE

SPIRITUAL

VOLUNTEERS

MAYNE ISLAND .66 acre sloping lot
with  24x48 double wide&separate
double garage/workshop with studio
above+RV  carport+parking areas.
Septic system, community water,
power, plus cable telephone&internet
available,walking dx to ferry, adjoining
.65 ace lot also available $239,000 obo
604 539-9498. 04-30

Once in a lifetime deal! Beautiful, well
built 2 bdrm, 3 bathroom lux town-
home in Summerside. Private saltwa-
ter pool, small gym facility, stainless
steel appliances, hardwood flooring,
cute patio and small yard, 2 minutes
from town. Offered at $348,000.
Phone: 250-537-0102. 04-30

"Hold Fast Thy Word"
Airs Sunday mornings
SALT SPRING RADIO

10am - 10:30am CFSI 107.9FM
www.cfsi-fm.com

7:45 - 8am on KARI 550AM dial
www.kari55.com

SPORTING GOODS

Ladies “shorty” wet suits, blue, size
1112, Coast $110 brand new, in
great condition, worn only 3 times.
$45. 537-2950.

RENTALS

THANK YOU

SALT SPRING, Studio in the woods
$850.Pristine, vibrant home for single.
Enjoy morning coffee in the sun on
your balcony. A 28X16 workshop at-
tached is available. Located four K.
from Ganges. 250-538-0082. 04-30

Large, bright workshop/studio space
for rent in Ganges. Work space only.
537-4337.. 04-16

RENTALS WANTED

House rental needed by family of
five, prepared to rent as early as April
or May, 2010. we have a very docile
and ancient Labrador. We 're respon-
sible, clean, employed and caring.
Our dog is well behaved. We need
three bedroom+ house with a garden
and/or acreage. Wood stove and high
speed internet. Please email Anna at
alus@shaw.ca.Thank you. Phone: 403
836-5437. 04-16

RVS & CAMPERS

1989 corsair motor home, an oldie
but a goody, excellent shape, 9000.00.
obo. Phone: 250-537-1802. 05-14

< pleaserecycle £

Thanks to Robert Bateman for the
photo, and all our advertisers, writers
and contributors of this special earth
day issue of the Islands Marketplace.

We appreciate your support!!

TOOLY

Briggs and Stratton lawnmower $90.
On Pender. 250-538-2206. 04-30

Husky chainsaw, 394 with 36 and 33
inch bars. Needs new chain. $300.
Call 250-536-2772. 05-14

Submersible utility pumps 1/6 hp
- portable - classic heavy-duty alu-
minum “simer - geyser ii” Versatile,
designed for draining water. 1,260
gph max pumping capacity. Heavy-
duty aluminum construction maxi-
mizes pump life. Too many features to
list. Requires min 10-amp individual
branch circuit, 5.6-amp full load mo-
tor. Ul and cul listed. ask for Haydn.
Phone: (250)-537-4512. 04-30

15” General bandsaw. Canadian built
little used. Performax 16/32 thickness
sander also little used. Rockwell 6”
jointer well used. Reasonable offers
accepted. Terry. -537-9820. 04-30

NEED VOLUNTEERS?  The Power
of One Community - Volunteer Fair
may be your answer! Please visit the
website  (http://members.shaw.ca/ee-
smith55/fair/)

or contact Evelyn at 250-931-1029 or
eesmith55@shaw.ca. Pre-registration
by April 26th required. 04-16

WANTED

Wanted: Barry Bradfoot books, mainly
Canadian history. Call 537-4110. 05-
14

Wanted; inversion table for back or
spine. Good condition and good qual-
ity. affordable a bonus. Call Diane at
250-537-4231. 05-14

Gas lawn mower wanted, please email:
saltspringisland@hotmail.com. 04-30

Rock tumbler, almost free. 250-653-
2354. 04-30

Double bed needed, for toddler. Must
be clean and in good shape. Phone:
250-537-1047. 04-16

Wanted: Bush box, Mac & Blo style,
for Toyota pickup. Call Dave Phillips at
537-7481.

Wanted to buy: 3 axle boat trailer for
6 ton, 26 ft. boat with 8 ft. beam. 250-
751-6141.

WORK WANTED

Tile Man Available with 30 years of
experience and local references too.
Small jobs, Big ones. Wall tile, floor tile
and yes all the stone’s and glass you
can think of. Laminate’s and hardwood
too. Phone Walt at 250 537 9281 or
email me at taztiles@yahoo.com. 04-
30

WORK WANTED

Gardening, Landscaping, Yard Work,
Animal Care. $15/hr ~Call Julia~
Phone: 250-537-1657. 04-30

Painter for hire! Looking for odd jobs,
can do minor crack fill. Need to paint
a few rooms give me a call. 930-0377.
04-30

House cleaning available. Great Salt
spring Island references. Seniors Dis-
counts available. $20/hour. Please call
537-0239. 04-30

Grass cutting and yard clean up. father
and sons team. 250 538 8204, 04-16

“We roam around the
worlds websites with our
search engines while the

real world slips away.

Going, going gone.
- Robert Bateman.

Call 537-2905 to support this free
buy & sell publication with your
paid business ad. We're printed

& published 100% locally.
REAL ESTATE

REAL ESTATE

REAMIX

Salt Spring

Independently Owned and Operated

Patrick Akerman

Fourth Generation Salt Spring Islander

250-537-6070 cel
250-537-9977 office

131 Lower Ganges Road
Salt Spring Island, BC V8K 2T2

Fax: (250) 537-9980

E-mail: patrickakerman@telus.net

Website: saltspringislandrealestate.com
CROSSWORD PUZZLE ANSWERS

Answer for this issue’s puzzle
Provided by BestCrosswords.com Used with permission.
Our next issue - Fri., April 30 is dedicated to our s =

Health and Wellness.... Deadline for ads is Apr. 27 ’—-ﬁm
Incredible ocean views at the "
guteway to Salt Spring Island 7ée Wm

g. | - Same Great Food plus Gourmet Muffins WE MAKE WINE FUN

and Delicious Homemade Soups wouff, AND AFFORDABLE

;salt opring Organic Coffee vy e On Premises Wine and Beer VEIT

2 - Breakfast & Lunch menu
" including Lito’s Daily Entrees _ *Premium Wine and Beer Kits .
¢ Full selection of wine and beer supplies for home brewing

1l + Take Home and Heat Menu
131 Price Rd 250-931-1963 Hours: Tue. - Sat. 12:30 - 4:30 or by appt.

+ New Art from Crofton Art Group

Visit the Galleria for A Nice
Selection of Unique Gift Items

LITO S CAFE & GALLERIA
FANTASTIC COFFEE - GREAT FOOD - GIFTS - CARDS - LOCAL ART]
1532 Chaplin St, Crofton + www.litoscafe.ca - 250-246-5406

LI'S FEATURED LISTING:

Salt Spring Island: Oceanview home, 2 bed, 2 bath,
media room, cook’s kitchen, wine cellar, feature
fireplace. Wonderful gardens & sunny patios. Steps
to beach. Pretty marine views! Just move in!
LlRead com/1603 htm $798 000

@ Owne Hour Photo Finishing * Variety of Film Available ¢

Locally owned and operated,
. we are your one-stop-shop for
- Digital Imaging & Print Solutions :

250253299V,
applephoto@saltspring.com

#6 - 121 McPhillips Ave, Saltspring Island, BC
Laser Printing * Digital Imaging * Services & Supplies o

LAURIE’'S
RECYCLING?
& WASTE(.g) “comnerc

._.,.: ._ . 4
SEA TO SKY
I 1 READ
PROPERTIES
Corner of Lower Ganges

and Rainbow Roads ~— — V§()-§37-7647°

(Across fr. Ganges Marina)
Email: LiRead33@gmail.com « www.LiRead.com

buiAdooojoy, .samelq pue smnqjy

@, Custom Enlargements * Passport Photos

Services Inc. |
DROP OFF next=02% w2~
to Country Grocer (=74 Eﬁ%
GJ\JJ%J-W‘Q) An islan family since 1861 Opeg;m%?)né;?nsat'




